Bug 171989 - rhel4 modules loading signing issue
rhel4 modules loading signing issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-10-28 15:57 EDT by Linda Wang
Modified: 2013-03-06 00:58 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix issue (385 bytes, patch)
2005-10-28 16:01 EDT, Jason Baron
no flags Details | Diff

  None (edit)
Description Linda Wang 2005-10-28 15:57:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
Turns out that kernel modules from our tree built against say U1 will not 
load against U2. (Same was the case for GA -> U1). The reason is that we 
sign our kernel modules, and the signature changes everytime the kernel is 
rebuilt. The reason that binary modules work, is that if a module isn't 
signed then it loads anyways. So out of tree modules work.

Version-Release number of selected component (if applicable):
kernel-2.6.9

How reproducible:
Always

Steps to Reproduce:
1.install the system with RHEL4 Updates
2.load a previous version of driver module
3.
  

Actual Results:  Turns out that kernel modules from our tree built against say U1 will not load against U2. 

Expected Results:  allow all signed modules to load but marking them with a 'U' so that we know they aren't from the same rpm.

Additional info:
Comment 1 Jason Baron 2005-10-28 16:01:46 EDT
Created attachment 120516 [details]
fix issue

This patch attempts to make all non-rpm modules show up as U. this means that
modules from different kernels will load but will just be marked with a U.
patch as of yet untested.
Comment 5 Red Hat Bugzilla 2006-03-07 15:35:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.